Re: globalfunctions.php on line 32 or index.php on line 122

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: globalfunctions.php on line 32 or index.php on line 122

Sacco
Hi,

I'm sorry to bother you with this issue again, but I just can’t seem  
to resuscitate my wiki. I erased all the files and reinstalled  
version 1.5.5. Now when I what to initiate the setup I receive this :

Warning: main() [function.main]: open_basedir restriction in effect.  
File(./includes/Defines.php) is not within the allowed path(s): (/var/
www/tmp/dedalus:/var/www/users/dedalus:/var/www/dns/
dedalus.freezee.org:/usr/share/php) in /var/www/users/dedalus/wiki/
config/index.php on line 122

Warning: main(includes/Defines.php) [function.main]: failed to open  
stream: Operation not permitted in /var/www/users/dedalus/wiki/config/
index.php on line 122

Fatal error: main() [function.require]: Failed opening required  
'includes/Defines.php' (include_path='.:/var/www/users/dedalus/wiki:/
var/www/users/dedalus/wiki/includes:/var/www/users/dedalus/wiki/
languages') in /var/www/users/dedalus/wiki/config/index.php on line 122


A little help would be much appreciated !


Many thanks,


Sacco.





Le 05-10-13 à 04:16, Rob Church a écrit :

> Yes, once we're talking about PHP 5 and above, MediaWiki 1.5 starts to
> become the safer option, and let's face it - it's more up to date!
>
> Do be sure to make backups, because some users have been experiencing
> difficulties with upgrading of the database (1.5 introduces a
> radically different schema).
>
>
> Rob Church
>
> On 13/10/05, Sacco <[hidden email]> wrote:
>> Thanks for your interest!
>>
>> But actually, my provider says that the safe mode as been on for the
>> last two years... and this problem appeared in the last week. He
>> upgraded to PHP 5.0.5 though... That's why upgrading to mediawiki 1.5
>> would help.
>>
>> Again, many thanks,
>>
>>
>> Sacco.
>>
>>
>> Le 05-10-12 à 16:42, Rob Church a écrit :
>>
>>> Are you using a hosting provider's services? If so, ask them if they
>>> turned PHP safe mode on between the time you last saw the wiki, and
>>> "this morning".
>>>
>>>
>>> Rob Church
>>>
>>> On 12/10/05, Sacco <[hidden email]> wrote:
>>>
>>>> Hi all,
>>>>
>>>> I'm really sorry to bother you with such a question but I can't  
>>>> seem
>>>> to find an answer (even in the list archives).
>>>>
>>>> This morning I tried to connect to my wiki and I receive a  
>>>> violent :
>>>>
>>>> Warning: main() [function.main]: open_basedir restriction in  
>>>> effect.
>>>> File(./normal/UtfNormalUtil.php) is not within the allowed path
>>>> (s): (/
>>>> var/www/tmp/dedalus:/var/www/users/dedalus:/var/www/dns/
>>>> dedalus.freezee.org:/usr/share/php) in /var/www/users/dedalus/wiki/
>>>> includes/GlobalFunctions.php on line 32
>>>>
>>>> Warning: main(normal/UtfNormalUtil.php) [function.main]: failed to
>>>> open stream: Operation not permitted in /var/www/users/dedalus/
>>>> wiki/
>>>> includes/GlobalFunctions.php on line 32
>>>>
>>>> Fatal error: main() [function.require]: Failed opening required
>>>> 'normal/UtfNormalUtil.php' (include_path='.:/var/www/users/dedalus/
>>>> wiki:/var/www/users/dedalus/wiki/includes:/var/www/users/dedalus/
>>>> wiki/
>>>> languages') in /var/www/users/dedalus/wiki/includes/
>>>> GlobalFunctions.php on line 32
>>>>
>>>>
>>>> Now, I tought that by upgrading to 1.5.0, I'd be able to resolve  
>>>> the
>>>> problem (seeing that 1.4.3 isn't compatible with PHP 5.0.5 and  
>>>> all),
>>>> but it didn't work…
>>>>
>>>> So I tried to reinstall everything but during the setup phase of  
>>>> the
>>>> installation I now receive:
>>>>
>>>> Warning: main() [function.main]: open_basedir restriction in  
>>>> effect.
>>>> File(./includes/Defines.php) is not within the allowed path(s): (/
>>>> var/
>>>> www/tmp/dedalus:/var/www/users/dedalus:/var/www/dns/
>>>> dedalus.freezee.org:/usr/share/php) in /var/www/users/dedalus/wiki/
>>>> config/index.php on line 122
>>>>
>>>> Warning: main(includes/Defines.php) [function.main]: failed to open
>>>> stream: Operation not permitted in /var/www/users/dedalus/wiki/
>>>> config/
>>>> index.php on line 122
>>>>
>>>> Fatal error: main() [function.require]: Failed opening required
>>>> 'includes/Defines.php' (include_path='.:/var/www/users/dedalus/
>>>> wiki:/
>>>> var/www/users/dedalus/wiki/includes:/var/www/users/dedalus/wiki/
>>>> languages') in /var/www/users/dedalus/wiki/config/index.php on
>>>> line 122
>>>>
>>>> I really don't know what to do next…
>>>>
>>>> Any help would be much appreciated.
>>>>
>>>> Many thanks,
>>>>
>>>>
>>>> Sacco._______________________________________________
>>>> MediaWiki-l mailing list
>>>> [hidden email]
>>>> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
>>>>
>>>>
>>> _______________________________________________
>>> MediaWiki-l mailing list
>>> [hidden email]
>>> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
>>>
>>
>> _______________________________________________
>> MediaWiki-l mailing list
>> [hidden email]
>> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
>>
> _______________________________________________
> MediaWiki-l mailing list
> [hidden email]
> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l


_______________________________________________
MediaWiki-l mailing list
[hidden email]
http://mail.wikipedia.org/mailman/listinfo/mediawiki-l